%bcond_with check

%global forgeurl https://github.com/Snaipe/Criterion
Version:        2.4.2
%forgemeta

Name:           criterion
Release:        %autorelease
Summary:        A cross-platform C and C++ unit testing framework for the 21st century
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         criterion-fix-meson.patch

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  debugbreak-devel
BuildRequires:  nanomsg-devel
BuildRequires:  nanopb-devel
BuildRequires:  nanopb-python3
BuildRequires:  libgit2-devel
BuildRequires:  boxfort-devel
BuildRequires:  libffi-devel

%description
Criterion is a dead-simple, non-intrusive unit testing framework for C and C++.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%meson -Drpath-in-pkgconfig=disabled
%meson_build

%install
%meson_install
rm %{buildroot}%{_libdir}/libcriterion.a

%find_lang %{name}

%if %{with check}
%check
%meson_test
%endif

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_libdir}/libcriterion.so.3*

%files devel
%{_includedir}/criterion/
%{_libdir}/libcriterion.so
%{_libdir}/pkgconfig/criterion.pc

%changelog
%autochangelog
